Web API with .NET 4.0

Topics: ASP.NET Web API
Jul 8, 2013 at 4:03 PM
I'm trying to test some of the $expand and $batch functionality in a .NET 4.0 project. I've tried retrieving both the 5.0.0-beta2 and the nightly builds through nuget. I am only able to retrieve .NET 4.5 versions of the assemblies.

Are future versions of Web API OData dropping support for .NET 4.0? Or is there another way to retrieve the proper assemblies?

Thanks
Coordinator
Jul 9, 2013 at 5:01 PM
Correct, ASP.NET Web API 2 will only be supported on .NET 4.5 and above. The new support for $select, $expand and $batch is all based on the new runtime.

Daniel Roth